<html>
<head>
<title>Ogre::ParticleAffector Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ParticleAffector.html">ParticleAffector</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ParticleAffector Class Reference<div class="ingroups"><a class="el" href="group__Effects.html">Effects</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ParticleAffector" --><!-- doxytag: inherits="Ogre::StringInterface,Ogre::AllocatedObject" -->
<p>Abstract class defining the interface to be implemented by particle affectors.  
 <a href="classOgre_1_1ParticleAffector.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreParticleAffector_8h_source.html">OgreParticleAffector.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::ParticleAffector:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1ParticleAffector__inherit__graph.gif" border="0" usemap="#Ogre_1_1ParticleAffector_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1ParticleAffector_inherit__map" id="Ogre_1_1ParticleAffector_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1StringInterface.html" title="Class defining the common interface which classes can use to present a reflection&#45;style, self&#45;defining parameter set to callers." alt="" coords="5,5,147,35"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="171,5,237,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1ParticleAffector-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleAffector.html#aacc7b02cc126155d291dcd4ca092050e">ParticleAffector</a> (<a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a> *parent)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleAffector.html#a89f39b39422328cf8dd11c46eeccb9d0">~ParticleAffector</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor essential.  <a href="#a89f39b39422328cf8dd11c46eeccb9d0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleAffector.html#a5f401d9023e7bb484ff3ff49e70c9510">_initParticle</a> (<a class="el" href="classOgre_1_1Particle.html">Particle</a> *pParticle)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Method called to allow the affector to initialize all newly created particles in the system.  <a href="#a5f401d9023e7bb484ff3ff49e70c9510"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleAffector.html#a61826c830fc3ef4f37410a656aae7a81">_affectParticles</a> (<a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a> *pSystem, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> timeElapsed)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Method called to allow the affector to 'do it's stuff' on all active particles in the system.  <a href="#a61826c830fc3ef4f37410a656aae7a81"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleAffector.html#a1c4b099d16977a1f71059db10f026ec5">getType</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the name of the type of affector.  <a href="#a1c4b099d16977a1f71059db10f026ec5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#ae3e13925bde11db245f6c9bbf5031a93">getParamDictionary</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves the parameter dictionary for this class.  <a href="#ae3e13925bde11db245f6c9bbf5031a93"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#a3bfa7791753a155b222dfb2706e5218c">getParamDictionary</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="group__General.html#gac3c212f18e4a3e6aba496571cfbe5400">ParameterList</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#adfedfcc90e1d602ec6fa646d4d90f17f">getParameters</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves a list of parameters valid for this object.  <a href="#adfedfcc90e1d602ec6fa646d4d90f17f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#ace884b65b722ead9b920b9abf27bf815">setParameter</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;value)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Generic parameter setting method.  <a href="#ace884b65b722ead9b920b9abf27bf815"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#ae356913ccefbebc4f0119a0599a406fc">setParameterList</a> (const <a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a> &amp;paramList)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Generic multiple parameter setting method.  <a href="#ae356913ccefbebc4f0119a0599a406fc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#a57397ce47f649e66c5654da05207df0b">getParameter</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Generic parameter retrieval method.  <a href="#a57397ce47f649e66c5654da05207df0b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#a702af78cbc4869e64c369fb11c4f1eb5">copyParametersTo</a> (<a class="el" href="classOgre_1_1StringInterface.html">StringInterface</a> *dest) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Method for copying this object's parameters to another object.  <a href="#a702af78cbc4869e64c369fb11c4f1eb5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#a1bea65fa2b3c2ac5a9f3be59b46a80e8">cleanupDictionary</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Cleans up the static 'msDictionary' required to reset <a class="el" href="namespaceOgre.html">Ogre</a>, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> implementers (e.g.  <a href="#a1bea65fa2b3c2ac5a9f3be59b46a80e8"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleAffector.html#a34e82ec066a9b048e2a46b8af5c34c6f">addBaseParameters</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method for setting up the basic parameter definitions for a subclass.  <a href="#a34e82ec066a9b048e2a46b8af5c34c6f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#a681773443d95aea05a486c5d22c15bd1">createParamDictionary</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;className)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method for creating a parameter dictionary for the class, if it does not already exist.  <a href="#a681773443d95aea05a486c5d22c15bd1"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleAffector.html#af00ffc7a09e227b3b1fe10c1380db3a6">mType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the type of affector, MUST be initialised by subclasses.  <a href="#af00ffc7a09e227b3b1fe10c1380db3a6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleAffector.html#ab8eaddb293ad3001e3f260a9212b9056">mParent</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Abstract class defining the interface to be implemented by particle affectors. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1Particle.html" title="Class representing a single particle instance.">Particle</a> affectors modify particles in a particle system over their lifetime. They can be grouped into types, e.g. 'vector force' affectors, 'fader' affectors etc; each type will modify particles in a different way, using different parameters. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Because there are so many types of affectors you could use, OGRE chooses not to dictate the available types. It comes with some in-built, but allows plugins or applications to extend the affector types available. This is done by subclassing <a class="el" href="classOgre_1_1ParticleAffector.html" title="Abstract class defining the interface to be implemented by particle affectors.">ParticleAffector</a> to have the appropriate emission behaviour you want, and also creating a subclass of <a class="el" href="classOgre_1_1ParticleAffectorFactory.html" title="Abstract class defining the interface to be implemented by creators of ParticleAffector subclasses...">ParticleAffectorFactory</a> which is responsible for creating instances of your new affector type. You register this factory with the <a class="el" href="classOgre_1_1ParticleSystemManager.html" title="Manages particle systems, particle system scripts (templates) and the available emitter &amp; affector fa...">ParticleSystemManager</a> using addAffectorFactory, and from then on affectors of this type can be created either from code or through text particle scripts by naming the type. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This same approach is used for ParticleEmitters (which are the source of particles in a system). This means that OGRE is particularly flexible when it comes to creating particle system effects, with literally infinite combinations of affector and affector types, and parameters within those types. </dd></dl>

<p>Definition at line <a class="el" href="OgreParticleAffector_8h_source.html#l00063">63</a> of file <a class="el" href="OgreParticleAffector_8h_source.html">OgreParticleAffector.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aacc7b02cc126155d291dcd4ca092050e"></a><!-- doxytag: member="Ogre::ParticleAffector::ParticleAffector" ref="aacc7b02cc126155d291dcd4ca092050e" args="(ParticleSystem *parent)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParticleAffector.html#aacc7b02cc126155d291dcd4ca092050e">Ogre::ParticleAffector::ParticleAffector</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a> *&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreParticleAffector_8h_source.html#l00081">81</a> of file <a class="el" href="OgreParticleAffector_8h_source.html">OgreParticleAffector.h</a>.</p>

</div>
</div>
<a class="anchor" id="a89f39b39422328cf8dd11c46eeccb9d0"></a><!-- doxytag: member="Ogre::ParticleAffector::~ParticleAffector" ref="a89f39b39422328cf8dd11c46eeccb9d0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1ParticleAffector.html#a89f39b39422328cf8dd11c46eeccb9d0">Ogre::ParticleAffector::~ParticleAffector</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Virtual destructor essential. </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a61826c830fc3ef4f37410a656aae7a81"></a><!-- doxytag: member="Ogre::ParticleAffector::_affectParticles" ref="a61826c830fc3ef4f37410a656aae7a81" args="(ParticleSystem *pSystem, Real timeElapsed)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ParticleAffector.html#a61826c830fc3ef4f37410a656aae7a81">Ogre::ParticleAffector::_affectParticles</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a> *&#160;</td>
          <td class="paramname"><em>pSystem</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>timeElapsed</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Method called to allow the affector to 'do it's stuff' on all active particles in the system. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This is where the affector gets the chance to apply it's effects to the particles of a system. The affector is expected to apply it's effect to some or all of the particles in the system passed to it, depending on the affector's approach. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pSystem</td><td>Pointer to a <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a> to affect. </td></tr>
    <tr><td class="paramname">timeElapsed</td><td>The number of seconds which have elapsed since the last call. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5f401d9023e7bb484ff3ff49e70c9510"></a><!-- doxytag: member="Ogre::ParticleAffector::_initParticle" ref="a5f401d9023e7bb484ff3ff49e70c9510" args="(Particle *pParticle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ParticleAffector.html#a5f401d9023e7bb484ff3ff49e70c9510">Ogre::ParticleAffector::_initParticle</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Particle.html">Particle</a> *&#160;</td>
          <td class="paramname"><em>pParticle</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Method called to allow the affector to initialize all newly created particles in the system. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This is where the affector gets the chance to initialize it's effects to the particles of a system. The affector is expected to initialize some or all of the particles in the system passed to it, depending on the affector's approach. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pParticle</td><td>Pointer to a <a class="el" href="classOgre_1_1Particle.html" title="Class representing a single particle instance.">Particle</a> to initialize. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreParticleAffector_8h_source.html#l00094">94</a> of file <a class="el" href="OgreParticleAffector_8h_source.html">OgreParticleAffector.h</a>.</p>

</div>
</div>
<a class="anchor" id="a34e82ec066a9b048e2a46b8af5c34c6f"></a><!-- doxytag: member="Ogre::ParticleAffector::addBaseParameters" ref="a34e82ec066a9b048e2a46b8af5c34c6f" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ParticleAffector.html#a34e82ec066a9b048e2a46b8af5c34c6f">Ogre::ParticleAffector::addBaseParameters</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method for setting up the basic parameter definitions for a subclass. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Because <a class="el" href="classOgre_1_1StringInterface.html" title="Class defining the common interface which classes can use to present a reflection-style, self-defining parameter set to callers.">StringInterface</a> holds a dictionary of parameters per class, subclasses need to call this to ask the base class to add it's parameters to their dictionary as well. Can't do this in the constructor because that runs in a non-virtual context. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>The subclass must have called it's own createParamDictionary before calling this method. </dd></dl>

<p>Definition at line <a class="el" href="OgreParticleAffector_8h_source.html#l00077">77</a> of file <a class="el" href="OgreParticleAffector_8h_source.html">OgreParticleAffector.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1bea65fa2b3c2ac5a9f3be59b46a80e8"></a><!-- doxytag: member="Ogre::ParticleAffector::cleanupDictionary" ref="a1bea65fa2b3c2ac5a9f3be59b46a80e8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1StringInterface.html#a1bea65fa2b3c2ac5a9f3be59b46a80e8">Ogre::StringInterface::cleanupDictionary</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Cleans up the static 'msDictionary' required to reset <a class="el" href="namespaceOgre.html">Ogre</a>, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> implementers (e.g. </p>
<p><a class="el" href="classOgre_1_1MaterialManager.html" title="Class for managing Material settings for Ogre.">MaterialManager</a>) initializes. </p>

</div>
</div>
<a class="anchor" id="a702af78cbc4869e64c369fb11c4f1eb5"></a><!-- doxytag: member="Ogre::ParticleAffector::copyParametersTo" ref="a702af78cbc4869e64c369fb11c4f1eb5" args="(StringInterface *dest) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1StringInterface.html#a702af78cbc4869e64c369fb11c4f1eb5">Ogre::StringInterface::copyParametersTo</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1StringInterface.html">StringInterface</a> *&#160;</td>
          <td class="paramname"><em>dest</em></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Method for copying this object's parameters to another object. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method takes the values of all the object's parameters and tries to set the same values on the destination object. This provides a completely type independent way to copy parameters to other objects. Note that because of the String manipulation involved, this should not be regarded as an efficient process and should be saved for times outside of the rendering loop. </dd></dl>
<dl class="user"><dt><b></b></dt><dd><a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> unrecognised parameters will be ignored as with setParameter method. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">dest</td><td>Pointer to object to have it's parameters set the same as this object. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00301">301</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

<p>References <a class="el" href="OgreStringInterface_8h_source.html#l00093">Ogre::ParamDictionary::mParamDefs</a>, and <a class="el" href="classOgre_1_1StringInterface.html#ace884b65b722ead9b920b9abf27bf815">Ogre::StringInterface::setParameter()</a>.</p>

</div>
</div>
<a class="anchor" id="a681773443d95aea05a486c5d22c15bd1"></a><!-- doxytag: member="Ogre::ParticleAffector::createParamDictionary" ref="a681773443d95aea05a486c5d22c15bd1" args="(const String &amp;className)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1StringInterface.html#a681773443d95aea05a486c5d22c15bd1">Ogre::StringInterface::createParamDictionary</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method for creating a parameter dictionary for the class, if it does not already exist. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method will check to see if a parameter dictionary exist for this class yet, and if not will create one. NB you must supply the name of the class (RTTI is not used or performance). </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">className</td><td>the name of the class using the dictionary </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if a new dictionary was created, false if it was already there </dd></dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00184">184</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

<p>References <a class="el" href="OgrePrerequisites_8h.html#a8a4683cdaf73994ea7ec391c1ba82b60">OGRE_LOCK_MUTEX</a>.</p>

</div>
</div>
<a class="anchor" id="ae3e13925bde11db245f6c9bbf5031a93"></a><!-- doxytag: member="Ogre::ParticleAffector::getParamDictionary" ref="ae3e13925bde11db245f6c9bbf5031a93" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a>* <a class="el" href="classOgre_1_1StringInterface.html#ae3e13925bde11db245f6c9bbf5031a93">Ogre::StringInterface::getParamDictionary</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves the parameter dictionary for this class. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Only valid to call this after createParamDictionary. </dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>Pointer to <a class="el" href="classOgre_1_1ParamDictionary.html" title="Class to hold a dictionary of parameters for a single class.">ParamDictionary</a> shared by all instances of this class which you can add parameters to, retrieve parameters etc. </dd></dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00217">217</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3bfa7791753a155b222dfb2706e5218c"></a><!-- doxytag: member="Ogre::ParticleAffector::getParamDictionary" ref="a3bfa7791753a155b222dfb2706e5218c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a>* <a class="el" href="classOgre_1_1StringInterface.html#ae3e13925bde11db245f6c9bbf5031a93">Ogre::StringInterface::getParamDictionary</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00222">222</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

</div>
</div>
<a class="anchor" id="a57397ce47f649e66c5654da05207df0b"></a><!-- doxytag: member="Ogre::ParticleAffector::getParameter" ref="a57397ce47f649e66c5654da05207df0b" args="(const String &amp;name) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringInterface.html#a57397ce47f649e66c5654da05207df0b">Ogre::StringInterface::getParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Generic parameter retrieval method. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Call this method with the name of a parameter to retrieve a string-format value of the parameter in question. If in doubt, check the parameter definition in the list returned from getParameters for the type of this parameter. If you like you can use <a class="el" href="classOgre_1_1StringConverter.html" title="Class for converting the core Ogre data types to/from Strings.">StringConverter</a> to convert this string back into a native type. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of the parameter to get </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>String value of parameter, blank if not found </dd></dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00270">270</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1ParamCommand.html#ae47ea550693403baebbcde11c59e074f">Ogre::ParamCommand::doGet()</a>, and <a class="el" href="OgreStringInterface_8h_source.html#l00099">Ogre::ParamDictionary::getParamCommand()</a>.</p>

</div>
</div>
<a class="anchor" id="adfedfcc90e1d602ec6fa646d4d90f17f"></a><!-- doxytag: member="Ogre::ParticleAffector::getParameters" ref="adfedfcc90e1d602ec6fa646d4d90f17f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="group__General.html#gac3c212f18e4a3e6aba496571cfbe5400">ParameterList</a>&amp; <a class="el" href="classOgre_1_1StringInterface.html#adfedfcc90e1d602ec6fa646d4d90f17f">Ogre::StringInterface::getParameters</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves a list of parameters valid for this object. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>A reference to a static list of <a class="el" href="classOgre_1_1ParameterDef.html" title="Definition of a parameter supported by a StringInterface class, for introspection.">ParameterDef</a> objects. </dd></dl>

</div>
</div>
<a class="anchor" id="a1c4b099d16977a1f71059db10f026ec5"></a><!-- doxytag: member="Ogre::ParticleAffector::getType" ref="a1c4b099d16977a1f71059db10f026ec5" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1ParticleAffector.html#a1c4b099d16977a1f71059db10f026ec5">Ogre::ParticleAffector::getType</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the name of the type of affector. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This property is useful for determining the type of affector procedurally so another can be created. </dd></dl>

<p>Definition at line <a class="el" href="OgreParticleAffector_8h_source.html#l00117">117</a> of file <a class="el" href="OgreParticleAffector_8h_source.html">OgreParticleAffector.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::ParticleAffector::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::ParticleAffector::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::ParticleAffector::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::ParticleAffector::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::ParticleAffector::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::ParticleAffector::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::ParticleAffector::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::ParticleAffector::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::ParticleAffector::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::ParticleAffector::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ace884b65b722ead9b920b9abf27bf815"></a><!-- doxytag: member="Ogre::ParticleAffector::setParameter" ref="ace884b65b722ead9b920b9abf27bf815" args="(const String &amp;name, const String &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1StringInterface.html#ace884b65b722ead9b920b9abf27bf815">Ogre::StringInterface::setParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Generic parameter setting method. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Call this method with the name of a parameter and a string version of the value to set. The implementor will convert the string to a native type internally. If in doubt, check the parameter definition in the list returned from <a class="el" href="classOgre_1_1StringInterface.html#adfedfcc90e1d602ec6fa646d4d90f17f" title="Retrieves a list of parameters valid for this object.">StringInterface::getParameters</a>. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of the parameter to set </td></tr>
    <tr><td class="paramname">value</td><td>String value. Must be in the right format for the type specified in the parameter definition. See the <a class="el" href="classOgre_1_1StringConverter.html" title="Class for converting the core Ogre data types to/from Strings.">StringConverter</a> class for more information. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if set was successful, false otherwise (NB no exceptions thrown - tolerant method) </dd></dl>

<p>Referenced by <a class="el" href="OgreStringInterface_8h_source.html#l00301">Ogre::StringInterface::copyParametersTo()</a>.</p>

</div>
</div>
<a class="anchor" id="ae356913ccefbebc4f0119a0599a406fc"></a><!-- doxytag: member="Ogre::ParticleAffector::setParameterList" ref="ae356913ccefbebc4f0119a0599a406fc" args="(const NameValuePairList &amp;paramList)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1StringInterface.html#ae356913ccefbebc4f0119a0599a406fc">Ogre::StringInterface::setParameterList</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a> &amp;&#160;</td>
          <td class="paramname"><em>paramList</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Generic multiple parameter setting method. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Call this method with a list of name / value pairs to set. The implementor will convert the string to a native type internally. If in doubt, check the parameter definition in the list returned from <a class="el" href="classOgre_1_1StringInterface.html#adfedfcc90e1d602ec6fa646d4d90f17f" title="Retrieves a list of parameters valid for this object.">StringInterface::getParameters</a>. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">paramList</td><td>Name/value pair list </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ab8eaddb293ad3001e3f260a9212b9056"></a><!-- doxytag: member="Ogre::ParticleAffector::mParent" ref="ab8eaddb293ad3001e3f260a9212b9056" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a>* <a class="el" href="classOgre_1_1ParticleAffector.html#ab8eaddb293ad3001e3f260a9212b9056">Ogre::ParticleAffector::mParent</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreParticleAffector_8h_source.html#l00079">79</a> of file <a class="el" href="OgreParticleAffector_8h_source.html">OgreParticleAffector.h</a>.</p>

</div>
</div>
<a class="anchor" id="af00ffc7a09e227b3b1fe10c1380db3a6"></a><!-- doxytag: member="Ogre::ParticleAffector::mType" ref="af00ffc7a09e227b3b1fe10c1380db3a6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ParticleAffector.html#af00ffc7a09e227b3b1fe10c1380db3a6">Ogre::ParticleAffector::mType</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Name of the type of affector, MUST be initialised by subclasses. </p>

<p>Definition at line <a class="el" href="OgreParticleAffector_8h_source.html#l00067">67</a> of file <a class="el" href="OgreParticleAffector_8h_source.html">OgreParticleAffector.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreParticleAffector_8h_source.html">OgreParticleAffector.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:00
</p>
</body>
</html>
